Package org.apache.wiki.tags

# Class ParamTag

java.lang.Object
jakarta.servlet.jsp.tagext.TagSupport
jakarta.servlet.jsp.tagext.BodyTagSupport
org.apache.wiki.tags.ParamTag

All Implemented Interfaces:
  `jakarta.servlet.jsp.tagext.BodyTag`, `jakarta.servlet.jsp.tagext.IterationTag`, `jakarta.servlet.jsp.tagext.JspTag`, `jakarta.servlet.jsp.tagext.Tag`, `Serializable`

public class ParamTag extends jakarta.servlet.jsp.tagext.BodyTagSupport
ParamTag submits name-value pairs to the first enclosing ParamHandler instance. Name and value are strings, and can be given as tag attributes, or alternatively the value can be given as the body contents of this tag.

The name-value pair is passed to the closest containing ancestor tag that implements ParamHandler.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class jakarta.servlet.jsp.tagext.BodyTagSupport

`bodyContent`

### Fields inherited from class jakarta.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface jakarta.servlet.jsp.tagext.BodyTag

`EVAL_BODY_BUFFERED`

### Fields inherited from interface jakarta.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface jakarta.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

## Constructor Summary

Constructors
Constructor
Description
`ParamTag()`

## Method Summary

Modifier and Type
Method
Description
`int`
`doEndTag()`
`void`
`release()`
`void`
`setName(String s)`
Set the name of the parameter to transfer.
`void`
`setValue(String s)`
Set the value of the parameter to transfer.

### Methods inherited from class jakarta.servlet.jsp.tagext.BodyTagSupport

`doAfterBody, doInitBody, doStartTag, getBodyContent, getPreviousOut, setBodyContent`

### Methods inherited from class jakarta.servlet.jsp.tagext.TagSupport

`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface jakarta.servlet.jsp.tagext.Tag

`getParent, setPageContext, setParent`

## Constructor Details

### ParamTag

public ParamTag()

## Method Details

### release

public void release()

Specified by:
  `release` in interface `jakarta.servlet.jsp.tagext.Tag`
Overrides:
  `release` in class `jakarta.servlet.jsp.tagext.BodyTagSupport`

### setName

public void setName(String s)
Set the name of the parameter to transfer.

Parameters:
  `s` - The name.

### setValue

public void setValue(String s)
Set the value of the parameter to transfer.

Parameters:
  `s` - The value.

### doEndTag

public int doEndTag()

Specified by:
  `doEndTag` in interface `jakarta.servlet.jsp.tagext.Tag`
Overrides:
  `doEndTag` in class `jakarta.servlet.jsp.tagext.BodyTagSupport`